#include "Wire.h"                   // Подключаем библиотеку Wire
#include "RTClib.h"                 // Подключаем библиотеку RTClib
#include <LiquidCrystal_I2C.h>      // Подключаем библиотеку LiquidCrystal_I2C
 
LiquidCrystal_I2C lcd(0x3F,16,2);   // Задаем адрес и размер дисплея

RTC_DS3231 rtc;                     // Создаем объект rtc
char daysOfTheWeek[7][12] = {"Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"};

void setup() 
{
	Serial.begin(9600);               // Инициализация Serial Port
	Serial.println("Serial OK");      // Отправка текста в Serial Port
  Wire.begin(4, 5);                 // Выводы интерфейса I2C ESP8266

  lcd.init();                       // Инициализация lcd    
  lcd.backlight();                  // Включаем подсветку

  // Автоматическая установка времени при загрузке скетча
  // rtc.adjust(DateTime(F(__DATE__), F(__TIME__)));

  // Ручная установка времени
  // rtc.adjust(DateTime(2020, 03, 13, 14, 0, 0));
}

void loop() {
	DateTime now = rtc.now();
	Serial.print("now DateTime: ");     // Отправка текста в Serial Port
	Serial.print(now.year(), DEC);      // Отправка в Serial Port год 
	Serial.print('/');                  // Отправка текста в Serial Port 
	Serial.print(now.month(), DEC);     // Отправка в Serial Port месяц 
	Serial.print('/');                  // Отправка текста в Serial Port
	Serial.print(now.day(), DEC);       // Отправка в Serial Port дня
	Serial.print(' ');                  // Отправка текста в Serial Port
	Serial.print(now.hour(), DEC);      // Отправка в Serial Port час
	Serial.print(':');                  // Отправка текста в Serial Port
	Serial.print(now.minute(), DEC);    // Отправка в Serial Port минуты
	Serial.print(':');                  // Отправка текста в Serial Port
	Serial.print(now.second(), DEC);    // Отправка в Serial Port секунды
	Serial.print(" DOW: ");             // Отправка текста в Serial Port
	Serial.print(daysOfTheWeek[now.dayOfTheWeek()]);  // Отправка в Serial Port день недели
	Serial.print(" - Temp: ");          // Отправка текста в Serial Port
	Serial.print(rtc.getTemperature()); // Отправка в Serial Port температуру
	Serial.println();                   // Новая строка
  delay(1000);
  
  lcd.clear();                        // Очистка дисплея
  lcd.setCursor(0, 0);                // Устанавливаем курсор на 0 строку, ячейка 0 
  lcd.print("Date: ");                // Выводим текст на LCD
  lcd.setCursor(0, 1);                // Устанавливаем курсор на 1 строку, ячейка 0 
  lcd.print("Time: ");                // Выводим текст на LCD
  lcd.setCursor(6, 0);                // Устанавливаем курсор на 0 строку, ячейка 6         
  lcd.print(now.year(), DEC);         // Отправка даты на LCD
  lcd.print(":");                     // Выводим текст на LCD
  lcd.print(now.month(), DEC);        // Отправка даты на LCD
  lcd.print(":");                     // Выводим текст на LCD
  lcd.print(now.day(), DEC);          // Отправка даты на LCD

  lcd.setCursor(6, 1);                // Устанавливаем курсор на 1 строку, ячейка 6      
  lcd.print(now.hour(), DEC);         // Отправка времени на LCD
  lcd.print(":");                     // Выводим текст на LCD
  lcd.print(now.minute(), DEC);       // Отправка времени на LCD
  lcd.print(":");                     // Выводим текст на LCD
  lcd.print(now.second(), DEC);       // Отправка времени на LCD
}
